Bug 1339731 - Conflict with file while updaiting from Fedora 23 to Fedora rawhide [NEEDINFO]
Conflict with file while updaiting from Fedora 23 to Fedora rawhide
Status: NEW
Product: Fedora
Classification: Fedora
Component: gstreamer1-plugins-base (Show other bugs)
25
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-25 13:43 EDT by Paola
Modified: 2016-07-26 00:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
atodorov: needinfo? (bdpepple)


Attachments (Terms of Use)

  None (edit)
Description Paola 2016-05-25 13:43:56 EDT
Description of problem:
Conflict with file from package gstreamer1-plugins-bad-free-1.6.4-1.fc23.x86_64

Version-Release number of selected component (if applicable):
Fedora 23

How reproducible:
Always

Steps to Reproduce:
1. # dnf -y update  
2. # dnf -y install fedora-repos-rawhide
3. # vi /etc/yum.repos.d/fedora-rawhide.repo
 
^^^^ edit the file and make enabled = 0 to enabled = 1 rawhide and rawhide-debuginfo repositories!
rawhide-source remains off
 
4. # dnf -y update

Actual results:
x86_64 conflicts with file from package python3-libs-3.4.3-6.fc23.x86_64
  file /usr/lib64/gstreamer-1.0/libgstopus.so from install of gstreamer1-plugins-base-1.8.1-1.fc25.x86_64 conflicts with file from package gstreamer1-plugins-bad-free-1.6.4-1.fc23.x86_64

Expected results:
Update to Fedora rawhide

Additional info:
Comment 1 Alexander Todorov 2016-05-26 07:36:20 EDT
Hi Brian,
did we forget to add Conflicts or maybe Obsoletes ? 

https://fedoraproject.org/wiki/Packaging:Conflicts#Splitting_Packages
Comment 2 Jan Kurik 2016-07-26 00:06:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Note You need to log in before you can comment on or make changes to this bug.